{% extends "dashboard/dashboard_content.html" %}
{% block rightPane %}
    <div class="x_panel" xmlns="http://www.w3.org/1999/html">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Current Semester Configurations
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <div class="col-xs-12 col-md-8 col-md-offset-2">
                    <div class="row">
                        <div class="table-responsive">
                            <table class="table text-center table-bordered">
                                <thead>
                                <tr class="bg-success">
                                    <th class="text-center text-capitalize">Programme</th>
                                    <th class="text-center text-capitalize">Batch</th>
                                    <th class="text-center text-capitalize">Section</th>
                                    <th class="text-center text-capitalize">Semester</th>
                                    <th class="text-center text-capitalize">Faculty Advisor</th>
                                    <th class="text-center text-capitalize">Migrate</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for entry in active_semesters %}
                                    {% if entry.semester.programme == 'PG' %}`
                                        <tr class="bg-orange">
                                            {% else %}
                                        <tr class="bg-green">
                                    {% endif %}
                                <td>{{ entry.semester.batch.programme }}</td>
                                <td>{{ entry.semester.batch }}</td>
                                <td>{{ entry.semester.department_section.section_name }}</td>
                                <td>{{ entry.semester.semester_number }}</td>
                                <td>{% for staff in entry.semester.faculty_advisor.all %}
                                    {{ staff }},
                                {% endfor %}
                                </td>
                                <td>
                                    <form method="post">
                                        {% csrf_token %}
                                        <input type="hidden" name="semester_migration_pk" value={{ entry.pk }} />
                                        <button type="submit" class="save btn btn-sm btn-primary btn-outline"
                                                id="migrate_semester">Migrate
                                        </button>
                                    </form>
                                </td>
                                </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>

                </div>


            </div>
        </div>
        <div class="modal fade" id="migrate_button" tabindex="-1"
             role="dialog"
             aria-labelledby="migrate_button" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"
                                aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        <h4 class="modal-title" id="migrate_button">Warning</h4>
                    </div>
                    <div class="row">
                        <div class="col-md-8 col-md-offset-2">
                            <blockquote>
                                <p>
                                    The Action you are going to perform will have the following Effects
                                <ul>
                                    <div id="add_stmt"></div>
                                    <li>This operation is non-recoverable</li>
                                    <li>Do this only at the end of a semester</li>
                                </ul>
                                </p>
                            </blockquote>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-lg btn-danger" data-dismiss="modal"
                                id="migration_conform">
                            Yes I Agree
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="error_modal" tabindex="-1"
             role="dialog"
             aria-labelledby="error_modal" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"
                                aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        <h4 class="modal-title" id="error_modal">Warning</h4>
                    </div>
                    <div class="row">
                        <div class="col-md-8 col-md-offset-2">
                            <blockquote>
                                <div id="error_block">

                                </div>
                            </blockquote>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="reg_modal" tabindex="-1"
             role="dialog"
             aria-labelledby="reg_modal" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"
                                aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        <h4 class="modal-title" id="reg_modal">Regulation</h4>
                    </div>
                    <div class="row">
                        <div class="col-md-8 col-md-offset-2">
                            <br>
                            <br>
                            <blockquote>
                                <p>New batch is about to be added to your department</p>
                                <p>Please select the regulation of this new batch</p>
                                <p>If the required regulation is not available, Please Contact the site
                                    administrator.</p>
                            </blockquote>
                            <div class="col-md-8">
                                <form class="form-horizontal">
                                    <div class="form-group">
                                        <label for="regulation" class="control-label col-md-7">Select Regulation</label>
                                        <div class="col-md-5">
                                            <select id="regulation" class="form-control">

                                            </select>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <br>
                        <br>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-lg btn-primary" data-dismiss="modal"
                                id="regulation_conform">
                            Proceed > >
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        $('document').ready(function () {
            $('#migrate_group').change(function () {
                $val = $(this).val();
                $('#add_stmt').html('');
                //alert($val);
                if ($val == 'UG_1') {
                    $('#add_stmt').append('<li>Promote all 1st year UG students of your department to next semester</li>\
                                    <li>Remove your current 1st year UG faculty advisor and associated configurations</li>');
                }
                if ($val == 'UG_other') {
                    $('#add_stmt').append('<li>Promote all 2nd,3rd and 4th year UG students of your department to next semester</li>\
                                    <li>Remove your current 2nd,3rd and 4th year UG faculty advisor and associated configurations</li>');
                }
                if ($val == 'PG_1') {
                    $('#add_stmt').append('<li>Promote all 1st PG students of your department to next semester</li>\
                                    <li>Remove your current 1st year PG faculty advisor and associated configurations</li>');
                }
                if ($val == 'PG_other') {
                    $('#add_stmt').append('<li>Promote all 2nd year PG students of your department to next semester</li>\
                                    <li>Remove your current 2nd year PG faculty advisor and associated configurations</li>');
                }


            });

            $('#migration_conform').click(function () {
                $('#migrate_form').submit();
            });
        });
    </script>
    <script type="text/javascript">
        //For getting CSRF token
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('#migrate_semester').click(function () {
                $selected_group = $('#migrate_group').val();
                if ($selected_group == '') {
                    return
                }
                //alert(dataArray);
                $.ajax({
                    url: '{% url 'check_migration_consitency' %}',
                    type: 'POST',
                    data: {
                        csrfmiddlewaretoken: getCookie('csrftoken'),
                        selected_group: $selected_group,
                    },
                    success: function (data)//we got the response
                    {
                        //alert(data['msg']);
                        if (data['code'] == 2 && data['msg'] != '') {
                            $('#error_block').html('');
                            $('#error_block').append(data['msg']);
                            $('#error_modal').modal();
                        }
                        else if (data['code'] == 3) {
                            reg_list = data['reg_list'];
                            $("#regulation").html('');
                            for (var i = 0, l = reg_list.length; i < l; i++) {
                                var value = reg_list[i];
                                //alert(value['string']);
                                $("#regulation").append('<option value="' + value['pk'] + '" >' + value['string'] + '</option>');
                                $('#reg_modal').modal();
                            }
                        }
                        else {
                            $('#migrate_button').modal();
                        }
                        //alert(data['list']);
                    },
                    error: function (exception) {
                        alert('Exeption:' + exception);
                    }
                });
            });
            $('#regulation_conform').click(function () {
                $selected_regulation = $('#regulation').val();
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: $selected_regulation,
                    name: 'selected_regulation'
                });
                $hiddenInput.appendTo('form');
                $('#migrate_button').modal();
            });

        });

    </script>


{% endblock %}